Bug 2943 - [UPDATE REQUEST] nautilus
: [UPDATE REQUEST] nautilus
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 15:18 MSD by Arkady L. Shane
Modified: 2013-10-30 09:47 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
nautilus.png (142.77 KB, image/png)
2013-10-18 15:18 MSD, Arkady L. Shane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arkady L. Shane 2013-10-18 15:18:19 MSD
Advisory:

Added Select by default option in Open in dialog (see attach)

Buildlists:
https://abf.rosalinux.ru/build_lists/1339245
https://abf.rosalinux.ru/build_lists/1339246
Comment 1 Arkady L. Shane 2013-10-18 15:18:50 MSD
Created attachment 2072 [details]
nautilus.png
Comment 2 Arkady L. Shane 2013-10-18 15:37:53 MSD
Oh NO No No. This feature is in Gtk+ (http://bugs.rosalinux.ru/show_bug.cgi?id=2945)

In this nautilus fixed ftp screaming (video via ftp). I'm sorry.
Comment 3 Vladimir Potapov 2013-10-28 15:48:51 MSK
How to check the update? On my system before and after update mediafiles don't play from ftp server.
Comment 4 Arkady L. Shane 2013-10-28 16:40:56 MSK
Стас, растолкуй что там и к чему.
Comment 5 Postnikov Dmitry 2013-10-28 16:50:55 MSK
(In reply to comment #3)
> How to check the update? On my system before and after update mediafiles
> don't play from ftp server.

 	
I have all the works.
http://cdn.2safe.com/226836033759/screen-ftp-nau1.avi
Comment 7 Vladimir Potapov 2013-10-28 20:51:33 MSK
I have wi-fi router with multimedia ftp. I show video from it on android phone. But I can't show video from the ftp from dolphin and nautilus, in vlc, romp, totem... :-(
Comment 8 Stanislav Fomin 2013-10-28 21:10:11 MSK
(In reply to comment #7)
> I have wi-fi router with multimedia ftp. I show video from it on android
> phone. But I can't show video from the ftp from dolphin and nautilus, in
> vlc, romp, totem... :-(

To test proposed features we can use our internal secret FTP servers (see link on comment 6).

But what problem with your NAS/router?

Does it provide anonymous FTP access?
Nautilus can browse FTP on it?
* If yes,
** copy URL/MRL of video file (Context menu on Nautilus → «Copy»)
** Run VLC
** CTRL-N
** Paste URL to it + «ENTER»
** … If not playing — press «CTRL-M», and see verbose log of errors…
Comment 9 Postnikov Dmitry 2013-10-28 23:14:21 MSK
(In reply to comment #8)
> (In reply to comment #7)
> > I have wi-fi router with multimedia ftp. I show video from it on android
> > phone. But I can't show video from the ftp from dolphin and nautilus, in
> > vlc, romp, totem... :-(
> 
> To test proposed features we can use our internal secret FTP servers (see
> link on comment 6).
> 
> But what problem with your NAS/router?
> 
> Does it provide anonymous FTP access?
> Nautilus can browse FTP on it?
> * If yes,
> ** copy URL/MRL of video file (Context menu on Nautilus → «Copy»)
> ** Run VLC
> ** CTRL-N
> ** Paste URL to it + «ENTER»
> ** … If not playing — press «CTRL-M», and see verbose log of errors…

Rare to find a router using ftp. Basically, all the routers on smb. If I change the firmware on the OpenWRT and adjust the ftp, then will work with ftp.
Comment 10 Vladimir Potapov 2013-10-29 03:49:24 MSK
(In reply to comment #9)
> Rare to find a router using ftp. Basically, all the routers on smb. If I
> change the firmware on the OpenWRT and adjust the ftp, then will work with
> ftp.
It's very popular DLink DIR-620 with standard firmware 1.3.6. FTP-only, no samba.
http://market.yandex.ru/model.xml?modelid=6839062
Comment 11 Postnikov Dmitry 2013-10-29 10:30:27 MSK
(In reply to comment #10)
> (In reply to comment #9)
> > Rare to find a router using ftp. Basically, all the routers on smb. If I
> > change the firmware on the OpenWRT and adjust the ftp, then will work with
> > ftp.
> It's very popular DLink DIR-620 with standard firmware 1.3.6. FTP-only, no
> samba.
> http://market.yandex.ru/model.xml?modelid=6839062

DIR-620 it is not router, this is rubbish. :):)
Comment 12 Vladimir Potapov 2013-10-29 11:07:57 MSK
(In reply to comment #11)
> (In reply to comment #10)
> > (In reply to comment #9)
> > > Rare to find a router using ftp. Basically, all the routers on smb. If I
> > > change the firmware on the OpenWRT and adjust the ftp, then will work with
> > > ftp.
> > It's very popular DLink DIR-620 with standard firmware 1.3.6. FTP-only, no
> > samba.
> > http://market.yandex.ru/model.xml?modelid=6839062
> 
> DIR-620 it is not router, this is rubbish. :):)
The world is not ideal
Comment 13 Postnikov Dmitry 2013-10-29 15:09:33 MSK
(In reply to comment #6)
> This patch allow non-gnome mediaplayers (for example — VLC), play/stream
> from FTP servers.
> 
> For internal test case and problem description, see
> https://corpwiki.rosalinux.ru/
> %D0%A2%D0%B5%D1%81%D1%82%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5_%D0%
> B8%D0%BD%D1%82%D0%B5%D0%B3%D1%80%D0%B0%D1%86%D0%B8%D0%B8_%D1%84%D0%B0%D0%B9%D
> 0%BB%D0%BE%D0%B2%D1%8B%D1%85_%D0%BC%D0%B5%D0%BD%D0%B5%D0%B4%D0%B6%D0%B5%D1%80
> %D0%BE%D0%B2_%D0%B8_%D0%BF%D0%BB%D0%B5%D0%B5%D1%80%D0%BE%D0%B2

That Dolphin conveys well the data ftp://{user}:{pass}@{adress} - it's VERY BAD. For security purposes, both computer and human. In Nautilus this is rightly done, that always will be asked the password.
Imagine the following situation. If a person wants to watch porn with your wife, it will open your ftp password, look into it. And then will come their children, and, in a Dolphin open ftp porn and look?? :):):)
Comment 14 Vladimir Potapov 2013-10-29 15:53:24 MSK
(In reply to comment #13)
> (In reply to comment #6)
> > This patch allow non-gnome mediaplayers (for example — VLC), play/stream
> > from FTP servers.
> > 
> > For internal test case and problem description, see
> > https://corpwiki.rosalinux.ru/
> > %D0%A2%D0%B5%D1%81%D1%82%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5_%D0%
> > B8%D0%BD%D1%82%D0%B5%D0%B3%D1%80%D0%B0%D1%86%D0%B8%D0%B8_%D1%84%D0%B0%D0%B9%D
> > 0%BB%D0%BE%D0%B2%D1%8B%D1%85_%D0%BC%D0%B5%D0%BD%D0%B5%D0%B4%D0%B6%D0%B5%D1%80
> > %D0%BE%D0%B2_%D0%B8_%D0%BF%D0%BB%D0%B5%D0%B5%D1%80%D0%BE%D0%B2
> 
> That Dolphin conveys well the data ftp://{user}:{pass}@{adress} - it's VERY
> BAD. For security purposes, both computer and human. In Nautilus this is
> rightly done, that always will be asked the password.
> Imagine the following situation. If a person wants to watch porn with your
> wife, it will open your ftp password, look into it. And then will come their
> children, and, in a Dolphin open ftp porn and look?? :):):)

In dolphin use net-add net share
Comment 15 Arkady L. Shane 2013-10-29 17:12:43 MSK
This is not nautilus bug. This is gvfs trouble. https://bugzilla.gnome.org/show_bug.cgi?id=628430

Please verify streaming and if it is doing great we will push nautilus to repo.


Thanks.
Comment 16 Vladimir Potapov 2013-10-29 18:31:07 MSK
nautilus-3.8.2-3-rosa2012.1
***************************** Advisory **********************
In this nautilus fixed ftp screaming (video via ftp)
*************************************************************
QA Verified